
package de.ivu.elect.presentation.benutzerverwaltung.action;

import javax.inject.Inject;

import de.ivu.elect.business.benutzerverwaltung.boundary.RolleChangeEvent;
import de.ivu.elect.business.benutzerverwaltung.entity.Rolle;
import de.ivu.elect.presentation.menu.AbstractActionEntry;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;

public abstract class AbstractRolleAction extends AbstractActionEntry<Rolle> {

  private static final long serialVersionUID = 1L;

  @Inject
  private RolleChangeEvent rolleChangeEvent;

  public AbstractRolleAction() {
    super();
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return AbstractActionEntry.KEINE_GEBIET_SECURITY;
  }

  @Override
  protected void fireChangeEvent() {
    rolleChangeEvent.sendChangeEvent();
  }
}
